Skip to content

Search Projects

Search project instances by an exact project name or description. At least one search parameter is required. If both are supplied, only projects matching both values are returned. Requires the PROJECT_MANAGEMENT feature flag and ADMIN permissions.

Query Parameters

namedata typedescription
namestringExact project name to search for
descriptionstringExact project description to search for

Return Value

The response contains every matching project as a complete JSON object. The id property is the Wombat project ID.

json
{
  "statusCode": 200,
  "data": [
    {
      "id": "wombat-project-id",
      "projectConfigId": "project-config-id",
      "name": "Site Renovation",
      "status": "active",
      "type": "project",
      "description": "Renovation project",
      "data": {},
      "createdAt": 1710000000000,
      "updatedAt": 1710000000000,
      "removedAt": null
    }
  ],
  "message": "Successfully retrieved projects"
}

Examples

bash
curl -X GET "https://app.wombat.software/api/{targetPath}/project?name=Site%20Renovation" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."
bash
curl -X GET "https://app.wombat.software/api/{targetPath}/project?description=Renovation%20project" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."
bash
curl -X GET "https://app.wombat.software/api/{targetPath}/project?name=Site%20Renovation&description=Renovation%20project" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."

ENDPOINTS

get/api/{targetPath}/project